%global momorel 14
%global date 20100403

%define name mediatomb 
%define version 0.12.1

Version: %{version}
Summary: UPnP AV MediaServer 
Name: %{name}
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Multimedia
Source0: http://dl.sourceforge.net/sourceforge/mediatomb/%{name}-%{version}.tar.gz 
NoSource: 0
#Source0: mediatomb-%{date}.tar.bz2
Source1: mediatomb.service
Patch0:  mediatomb-service-fedora.patch
Patch10: mediatomb-20131224.patch
URL: http://mediatomb.cc/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post):   systemd-units
Requires(preun):  systemd-units
Requires(postun): systemd-units
Requires: ffmpeg ffmpegthumbnailer 
BuildRequires: mysql-devel >= 5.5.10
BuildRequires: sqlite-devel >= 3
BuildRequires: file
BuildRequires: ffmpeg-devel >= 3.0.2
BuildRequires: id3lib-devel libexif-devel taglib-devel libextractor-devel
BuildRequires: openldap-devel js-devel >= 1.8.5 ffmpegthumbnailer-devel >= 2.0.8-2m
BuildRequires: openssl-devel >= 1.0.0

%description
MediaTomb - UPnP AV Mediaserver for Linux.

%prep 

%setup -q
#%setup -q -n %{name}-%{date}

%patch10 -p1 
%patch0 -p1 

%build
autoreconf -if
%configure 	--enable-external-transcoding --enable-libmagic \
		--enable-protocolinfo-extension --enable-libjs \
		--enable-libdvdnav --enable-curl --enable-ImageMagick

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -p -D -m0755 %{SOURCE1} %{buildroot}%{_unitdir}/mediatomb.service
install -D -m0755 config/mediatomb-conf-fedora %{buildroot}%{_sysconfdir}/mediatomb.conf

%makeinstall

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%pre
getent group mediatomb >/dev/null || groupadd -r mediatomb
getent passwd mediatomb >/dev/null || \
useradd -r -g mediatomb -d %{_sysconfdir}/mediatomb -s /sbin/nologin \
    -c "To run Mediatomb" mediatomb
exit 0

%post
if [ $1 -eq 1 ] ; then 
    # Initial installation 
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi


%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable mediatomb.service > /dev/null 2>&1 || :
    /bin/systemctl stop mediatomb.service > /dev/null 2>&1 || :
fi


%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart mediatomb.service >/dev/null 2>&1 || :
fi


%triggerun -- mediatomb < 0.1.12-10m
# Save the current service runlevel info
# User must manually run systemd-sysv-convert --apply httpd
# to migrate them to systemd targets
/usr/bin/systemd-sysv-convert --save mediatomb >/dev/null 2>&1 ||:

# Run these because the SysV package being removed won't do them
/sbin/chkconfig --del mediatomb >/dev/null 2>&1 || :
/bin/systemctl try-restart mediatomb.service >/dev/null 2>&1 || :

%files
%defattr(-,root,root)
%doc README README.UTF_8 AUTHORS ChangeLog COPYING INSTALL doc/doxygen.conf
%doc doc/scripting.txt doc/scripting_utf8.txt
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/mediatomb.conf
%{_bindir}/mediatomb
%{_datadir}/%{name}/
%{_mandir}/man1/*
%{_unitdir}/mediatomb.service

%changelog
* Mon May 30 2016 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.1-14m)
- rebuild against ffmpeg-3.0.2

* Fri Feb  6 2015 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.1-13m)
- rebuild against ffmpeg-2.5.3

* Fri Jan 24 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (0.12.1-12m)
- rebuild against ffmpeg

* Sat Sep 15 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.12.1-11m)
- add overrun patch

* Tue Feb 21 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.12.1-10m)
- support systemd

* Thu Dec 22 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.12.1-8m)
- rebuild against js-1.8.5

* Sun May 15 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.12.1-7m)
- rebuild for ffmpeg-0.6.1-0.20110514

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.12.1-6m)
- rebuild for new GCC 4.6

* Mon Mar 28 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.12.1-5m)
- rebuild against mysql-5.5.10

* Tue Feb 08 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.12.1-4m)
- add patch for gcc46, generated by gen46patch

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.12.1-3m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.12.1-2m)
- full rebuild for mo7 release

* Wed Apr 14 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.12.1-1m)
- update 0.12.1

* Sun Apr  4 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.12.0-0.20100403.1m)
- update 20100403

* Sun Apr  4 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.12.0-0.20100113.2m)
- rebuild against openssl-1.0.0

* Wed Jan 13 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.12.0-0.20100113.1m)
- update 20100113
-- enable any feature

* Mon Jan  4 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.12.0-0.20091224.2m)
- add --enable-libdvdnav

* Mon Dec 28 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.12.0-0.20091224.1m)
- update 0.12.0-0.20091224.1m

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.12.0-0.20090524.3m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jul  1 2009 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (0.12.0-0.20090524.2m)
- add patch to use $MT_USER from config

* Wed Jul  1 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.12.0-0.20090524.1m)
- update 0.12.0-0.20090524.1m

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.11.0-7m)
- rebuild against openssl-0.9.8k

* Thu Mar 19 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.11.0-6m)
- rebuild against mysql-5.1.32
-- apply Patch2 from Rawhide (0.11.0-7)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.11.0-5m)
- rebuild against rpm-4.6

* Tue Jul 15 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.11.0-4m)
- import a patch from debian FTBFS #477036

* Thu Jun  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.11.0-3m)
- rebuild against openssl-0.9.8h-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.11.0-2m)
- rebuild against gcc43

* Mon Mar  3 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.11.0-1m)
- update 0.11.0

* Wed Feb 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.0-0.20080218.3m)
- rebuild against openldap-2.4.8

* Wed Feb 20 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.11.0-0.20080218.2m)
- mediatomb was not default bootup daemons.

* Sun Feb 17 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.11.0-0.20080218.1m)
- update trunk
-- better PS3 support
-- support transcoding

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10.0-2m)
- %%NoSource -> NoSource

* Thu Aug 30 2007 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (0.10.0-1m)
- first import

  * Wed Jul 11 2007 Sergey Bostandzhyan <jin@mediatomb.cc> 0.10.0-1
  - Version is now filled in by the configure script.
  * Sun May 27 2007 Sergey Bostandzhyan <jin@mediatomb.cc> 0.9.1-1
  - updated the init script
  * Sun Mar 25 2007 Sergey Bostandzhyan <jin@mediatomb.cc> 0.9.0-1
  - Synced with the new script naming and adjusted for the release,
    added man page.
  * Mon Feb 26 2007 Sergey Bostandzhyan <jin@mediatomb.cc>
  - Removed some files that were no longer needed.
  * Wed Sep  7 2005 Sergey Bostandzhyan <jin@mediatomb.cc>
  - Removed some buildrequires, our configure script should handle different
    scenarios itself.
  * Wed Jun 15 2005 Sergey Bostandzhyan <jin@mediatomb.cc>
  - Added init.d script + chkconfig
  * Thu Apr 14 2005 Sergey Bostandzhyan <jin@mediatomb.cc>
  - Initial release

